Skip to main content
PUT
/
api
/
Relationship
/
{relationshipId}
Update a Relationship
curl --request PUT \
  --url https://api.virtuoussoftware.com/api/Relationship/{relationshipId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "relationshipType": "<string>",
  "notes": "<string>"
}
'
{
  "id": "<integer>",
  "contactId": "<integer>",
  "contact": "<string>",
  "contactIndividual": "<string>",
  "relatedContactId": "<integer>",
  "relatedContact": "<string>",
  "relatedContactIndividual": "<string>",
  "relationshipType": "<string>",
  "notes": "<string>",
  "relatedContactViewUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

relationshipId
string
required

(Required) The relationship identifier.

Body

application/json
relationshipType
string
notes
string

Response

OK

id
string
contactId
string
contact
string
contactIndividual
string
relationshipType
string
notes
string
Last modified on April 24, 2026